# $Revision: 1.11 $, $Date: 2002/08/15 12:04:01 $
%include	/usr/lib/rpm/macros.perl
Summary:	Net::Gadu module - interface for libgadu.so library
Summary(pl):	Modu Net::Gadu - interfejs do biblioteki libgadu.so
Name:		perl-Net-Gadu
Version:	0.9
Release:	1
License:	GPL
Vendor:		Marcin Krzyzanowski
Group:		Development/Languages/Perl
Source0:	http://krzak.linux.net.pl/perl/Net-Gadu-%{version}.tar.gz
URL:		http://krzak.linux.net.pl/perl/perlgadu.html
BuildRequires:	perl >= 5.6.1
BuildRequires:	libgadu-devel >= 20020807
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::Gadu module is intended to make it easy to add Gadu-Gadu
communication support to your scripts. It uses libgadu library (a part
of Ekg project - http://dev.null.pl/ekg/).

%description -l pl
Modu Net::Gadu pozwala na zastosowanie w swoich skryptach komunikacji
bazujcej na protokole Gadu-Gadu. Wykorzystuje bibliotek libgadu.so,
ktora jest czci projektu Ekg (http://dev.null.pl/ekg/).

%prep
%setup -q -n Net-Gadu-%{version}

%build
perl Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install ex/ex1 example.pl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README example.pl contrib
%dir %{perl_sitearch}/auto/Net/Gadu
%{perl_sitearch}/auto/Net/Gadu/autosplit.ix
%{perl_sitearch}/auto/Net/Gadu/Gadu.bs
%attr(755,root,root) %{perl_sitearch}/auto/Net/Gadu/Gadu.so
%{perl_sitearch}/Net/Gadu.pm
%{_mandir}/man3/Net::Gadu.3pm*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Net-Gadu.spec,v $
Revision 1.11  2002/08/15 12:04:01  krzak
- new version 0.9
- STBR

Revision 1.10  2002/08/07 13:13:49  krzak
- remove Conflicts

Revision 1.9  2002/08/07 11:31:42  krzak
- update to libgadu 20020807
- add Conflicts:      perl >= 5.8 ( because it won't work with perl 5.8 )

Revision 1.8  2002/07/22 11:07:13  ankry
- pl translation fixes
- don't use macros in Name: it decreases readability
- Changes does not exist

Revision 1.7  2002/07/22 08:53:54  baseciq
- bumped up br: libgadu-devel to newest version
- bumped up release
- STBR please, current version on ftp requires older libgadu and makes
  conflicts while upgradeing libgadu

Revision 1.6  2002/07/20 15:04:33  qboosh
- fixed permissions, release 2

Revision 1.5  2002/07/10 00:59:35  kloczek
- cosmetics.

Revision 1.4  2002/07/07 21:27:37  baseciq
- up to 0.8

Revision 1.3  2002/06/11 19:19:57  baseciq
- changed buildrequires

Revision 1.2  2002/06/11 14:34:39  baseciq
- up to 0.7
- added contrib/irssi_gg.pl

Revision 1.1  2002/06/06 20:10:44  baseciq
- initial spec
- STBR->test

